{% extends 'base.html' %}
{% block content %}
    <main>
        <div>
            <h1>{{ todolist.name }}</h1>
            <p><a href="{% url 'todo_list_update' todolist.pk %}">Edit</a></p>
            <p><a href="{% url 'todo_list_delete' todolist.pk %}">Delete</a></p>
            <h2>Tasks</h2>
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Due Date</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for todoitem in todolist.items.all %}
                        {% comment %} classname.primarykeyvariable.all {% endcomment %}
                            <tr>
                                <td>{{ todoitem.task }}</td>
                                <td>{{ todoitem.due_date }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
        </div>
    </main>
{% endblock content %}